UI.AddCheckbox("Watermark")
UI.AddDropdown("Watermark Style", ["Bold Gradient", "Gradient"])
UI.AddTextbox("Username");
var username = ""
function watermark() {
	if (UI.GetValue("Misc", "JAVASCRIPT", "Script items", "Watermark")) {
    if (!World.GetServerString()) return;
    var today = new Date();
    var username = UI.GetString("Misc", "Username");
    var hours1 = today.getHours();
    var minutes1 = today.getMinutes();
    var seconds1 = today.getSeconds();
    var hours = hours1 <= 9 ? "0" + today.getHours() + ":" : today.getHours() + ":";
    var minutes = minutes1 <= 9 ? "0" + today.getMinutes() + ":" : today.getMinutes() + ":";
    var seconds = seconds1 <= 9 ? "0" + today.getSeconds() : today.getSeconds();
    var serverip = World.GetServerString();
    var ping = Math.floor(Global.Latency() * 1000 / 1.5);
    var font = Render.AddFont("Verdana", 7, 400);
    var text = "gamesense | " + username + " | delay: " +ping+ "ms | " + hours + minutes + seconds;
    var h = 18;
    var w = Render.TextSizeCustom(text, font)[0] + 8;
    var x = Global.GetScreenSize()[0];
    var y = 10;
    x = x - w - 10;
      if(UI.GetValue("Script items", "Watermark Style") == 0){
        Render.GradientRect(x, y - 1, w / 2, 2, 2,  [55, 177, 218, 255], [203, 70, 205 , 255]);
        Render.GradientRect(x + w / 2, y - 1, w / 2, 2, 2, [203, 70, 205 , 255], [204, 210, 53, 255]);}
			if(UI.GetValue("Scirpt items", "Watermark Style") == 1){
				Render.GradientRect(x, y - 1, w / 2, 1, 1,  [55, 177, 218, 255], [203, 70, 205 , 255]);
        Render.GradientRect(x + w / 2, y - 1, w / 2, 1, 1, [203, 70, 205 , 255], [204, 210, 53, 255]);}

    Render.StringCustom(x + 4, y + 4, 0, text, [255, 255, 255, 255], font);
	}
}
Cheat.RegisterCallback("Draw", "watermark");

function f1(){
    if (UI.GetValue("Scirpt items", "Watermark")) {
        UI.SetEnabled("Scirpt items", "Username", 1)
				UI.SetEnabled("Scirpt items", "Main color", 1)
				UI.SetEnabled("Scirpt items", "Watermark Style", 1)
    } else {
        UI.SetEnabled("Scirpt items", "Username", 0)
				UI.SetEnabled("Scirpt items", "Main color", 0)
				UI.SetEnabled("Scirpt items", "Watermark Style", 0)
    }
}
Cheat.RegisterCallback("Draw", "f1")
